IF (select st.name from syscolumns sc (NOLOCK)
inner join sysobjects so (NOLOCK) ON sc.Id = so.ID and so.name = 'Reservations'
inner join systypes st (NOLOCK) on sc.xtype = st.xtype and sc.name = 'LastCurrencyrate') <> 'money'
BEGIN
	IF EXISTS( select * from sys.indexes WHERE NAME = 'IX_Reservations_LastUpdDateStamp')
		DROP INDEX IX_Reservations_LastUpdDateStamp ON Reservations

	ALTER TABLE Reservations
	ALTER Column LastCurrencyRate Money NULL 
END
 

 
